#include "SigMFParser.h"

#include <QFileDialog>
#include <QJsonDocument>
#include <QJsonParseError>
#include <QJsonObject>
#include <QtDebug>

SigMFParser::SigMFParser(QObject *parent)
                         : QObject(parent)
{
    qInfo() << Q_FUNC_INFO << "called";
}

SigMFParser::~SigMFParser()
{
}

void SigMFParser::browseForFile()
{
    qInfo() << Q_FUNC_INFO << "called";
    QFileDialog::getOpenFileContent("SigMF files (*.sigmf *.sigmf-meta *.sigmf-data)",
                                    [this](const QString& filename, const QByteArray &fileContent) {
                                        qInfo() << "Picked" << filename << "with" << fileContent.size() << "bytes";
                                    });
}
