#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QAbstractItemModel>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    void setModel(QAbstractItemModel* mod);

signals:
    void browseButton();

public slots:
    void modelWasUpdated();

private:
    Ui::MainWindow *ui;
    QAbstractItemModel* m_model = nullptr;
};
#endif // MAINWINDOW_H
